XMLElementDecl (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.impl.dtd

## Class XMLElementDecl

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLElementDecl

-     public class XMLElementDecl
      extends java.lang.Object

  Version:
    $Id: XMLElementDecl.java 699892 2008-09-28 21:08:27Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ContentModelValidator` | `contentModelValidator` contentModelValidator
    `org.apache.xerces.xni.QName` | `name` name
    `int` | `scope` scope
    `XMLSimpleType` | `simpleType` simpleType
    `short` | `type` type
    `static short` | `TYPE_ANY` TYPE_ANY
    `static short` | `TYPE_CHILDREN` TYPE_CHILDREN
    `static short` | `TYPE_EMPTY` TYPE_EMPTY
    `static short` | `TYPE_MIXED` TYPE_MIXED
    `static short` | `TYPE_SIMPLE` TYPE_SIMPLE

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLElementDecl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` clear
    `void` | `setValues(org.apache.xerces.xni.QName name, int scope, short type, ContentModelValidator contentModelValidator, XMLSimpleType simpleType)` setValues

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_ANY

          public static final short TYPE_ANY

      TYPE_ANY
      See Also:
        Constant Field Values

    - #### TYPE_EMPTY

          public static final short TYPE_EMPTY

      TYPE_EMPTY
      See Also:
        Constant Field Values

    - #### TYPE_MIXED

          public static final short TYPE_MIXED

      TYPE_MIXED
      See Also:
        Constant Field Values

    - #### TYPE_CHILDREN

          public static final short TYPE_CHILDREN

      TYPE_CHILDREN
      See Also:
        Constant Field Values

    - #### TYPE_SIMPLE

          public static final short TYPE_SIMPLE

      TYPE_SIMPLE
      See Also:
        Constant Field Values

    - #### name

          public final org.apache.xerces.xni.QName name

      name

    - #### scope

          public int scope

      scope

    - #### type

          public short type

      type

    - #### contentModelValidator

          public ContentModelValidator contentModelValidator

      contentModelValidator

    - #### simpleType

          public final XMLSimpleType simpleType

      simpleType

  - ### Constructor Detail

    - #### XMLElementDecl

          public XMLElementDecl()

  - ### Method Detail

    - #### setValues

          public void setValues(org.apache.xerces.xni.QName name,
                       int scope,
                       short type,
                       ContentModelValidator contentModelValidator,
                       XMLSimpleType simpleType)

      setValues
      Parameters:
        `name` -
        `scope` -
        `type` -
        `contentModelValidator` -
        `simpleType` -

    - #### clear

          public void clear()

      clear

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.